Skip to main content
GET
/
v2
/
tba
/
{chainId}
/
{tokenId}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.tba.lucidGetTba({
    chainId: "<id>",
    tokenId: "<id>",
    tokenContract: "<value>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "tba": {
    "address": "<string>",
    "chainId": "<string>",
    "tokenContract": "<string>",
    "tokenId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

chainId
string
required

EVM chain identifier

tokenId
string
required

NFT token identifier for TBA lookup

Query Parameters

tokenContract
string
required

NFT contract address (EVM 0x format)

Response

TBA info

success
boolean
required
tba
object